/**
 * Mode debug : affiche les logs dans la console
 * Mode prod : masque les logs ainsi que les identifiants des lexiques
*/
(function () {
  if (typeof window !== 'undefined') {
    if (typeof window.DEBUG === 'undefined') {
      window.DEBUG = false; // true en debug
    }
    if (!window.log) {
      function log(...args) {
        if (window.DEBUG) {
          console.log(...args);
        }
      }
      window.log = log;
    }
  } else if (typeof self !== 'undefined') {
    if (typeof self.DEBUG === 'undefined') {
      self.DEBUG = false; // true en debug
    }
    if (!self.log) {
      function log(...args) {
        if (self.DEBUG) {
          console.log(...args);
        }
      }
      self.log = log;
    }
  }
})();
